<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}">
    <MessagePicture :isSent="isSent" :message="message"></MessagePicture>
    <!-- <div class="text-main" >
    <div class="text-group" >-->
    <!-- <div class="text text-muted" :class=" isSent(message) ?'me':'' " > -->
    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>
      <div class="card shadow-sm" style="width: 18rem;">
        <div class="card-header">{{content.text}}</div>
        <ul class="list-group list-group-flush">
          <li class="list-group-item">
            <div class="row">
              <div class="col" v-for="(item, index) in content.actions" :key="index">
                <span class="text-center text-info" style="cursor:pointer">{{item.label}}</span>
              </div>
            </div>
          </li>
        </ul>
      </div>
      <div class="text-muted-light">
        <small :class="{'float-right':isSent}" class="mt-2">
          <template v-if="isSent">
            <i class="fas fa-clock" v-show="message.created_at == null"></i>
            <i class="fas fa-check" v-show="message.created_at != null"></i>
          </template>
          {{formatDate(message.created_at,"LT")}}
        </small>
      </div>
    </div>
    <!-- </div> -->
    <!-- </div>
    </div>-->
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture";
import MessageHead from "../elements/MessageHead";
export default {
  mixins: [chatMixin],
  components: {
    MessagePicture,
    MessageHead
  }
};
</script>
<style scoped>
.chat-content {
  overflow-y: scroll !important;
}
.card {
  box-shadow: none;
}
</style>
